* {
    font-family: 'Raleway', Arial, Helvetica, sans-serif;
}

a {
    color: inherit;
}

button {
    appearance: none;
    -webkit-appearance: none;
    border: solid 2px inherit;
    border-style: solid;
    border-radius: 5px;
    outline: none;
    cursor: pointer;
    background-color: transparent;
    padding: 4px 8px;
    color: inherit;
    border-color: inherit;
}

/* FLEX */

.row {
    display: flex;
}

.column-centered {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.col-4 {
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
}

.col-12 {
    flex: 0 0 100%;
    max-width: 100%;
}

.align-center {
    align-items: center;
}

@media screen and (min-width: 992px) {
    .col-lg-4 {
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }

    .col-lg-12 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

.wrap {
    flex-wrap: wrap;
}

.chart-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

@media screen and (max-width: 500px) {
    .chart-list {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}

/* POSITIONING */

.relative {
    position: relative;
}

.absolute {
    position: absolute;
}

.top-left {
    top: 5px;
    left: 5px;
}

/* TYPOGRAPHY */

.h2 {
    /*font-size: 24px;*/
    font-size: 48px;
}

.h4 {
    /*font-size: 16px;*/
    font-size: 24px;
}

button {
    font-size: 18px;
}

/* MEDIUM (IPAD) */
@media screen and (max-width: 750px) and (min-width: 500px) {
    .h2 {
        font-size: 36px;
    }

    button {
        font-size: 18px;
    }
}

/* MOBILE */
@media screen and (max-width: 500px) {
    .h2 {
        font-size: 24px;
    }

    .h4 {
        font-size: 16px;
    }

    button {
        font-size: 16px;
    }
}

/*p, h1, h2, h3, h4, h5 {
    margin: 0px;
}*/

.text-center {
    text-align: center;
}

.text-bold {
    font-weight: bold;
}

/* SPACING */

.m-0 {
    margin: 0px !important;
}

.mx-1 {
    margin-left: 0.5rem !important;
    margin-right: 0.5rem !important;
}

.my-1 {
    margin-top: 0.5rem !important;
    margin-bottom: 0.5rem !important;
}

.mx-3 {
    margin-left: 1.5rem !important;
    margin-right: 1.5rem !important;
}

.my-3 {
    margin-top: 1.5rem !important;
    margin-bottom: 1.5rem !important;
}

.mx-bw-5 > *:not(:last-child) {
    margin-right: 5px !important;
}

.mx-bw-10 > *:not(:last-child) {
    margin-right: 10px !important;
}


/* COLORS! */

.bg-light {
    background-color: #f8f9fa;
}

.bg-dark {
    background-color: #343a40;
}

.text-light {
    color: rgb(200, 200, 200);
}

.text-dark {
    color: #343a40;
}

.fill-light {
    fill: #f8f9fa;
}

.fill-dark {
    fill: #343a40;
}

.stroke-light {
    stroke: #f8f9fa;
}

.stroke-dark {
    stroke: #343a40;
}

.border-light {
    border-color: #f8f9fa;
}

.border-dark {
    border-color: #343a40;
}

.text-dec-none {
    text-decoration: none;
}



/* PLOTTING STYLES */

.chart-container, .chart-container-wide {
    width: calc(100vw - 10px);
}

@media screen and (min-width: 750px) {
    .chart-container {
        width: 30vw;
    }
    
    .chart-container-wide {
        width: 600px;
    }
}

/*
.chart-container {
    width: 30vw;
}

.chart-container-wide {
    width: 600px;
}

@media screen and (max-width: 500px) {
    .chart-container, .chart-container-wide {
        width: calc(100vw - 10px);
    }
}
*/

.pointer {
    cursor: pointer;
}